## mx4j.tools.remote.caucho.hessian
Class SSLHessianServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              mx4j.tools.remote.caucho.CauchoServlet
                  mx4j.tools.remote.caucho.hessian.HessianServlet
                      mx4j.tools.remote.caucho.hessian.SSLHessianServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SSLHessianServlet
extends HessianServlet

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Constructor Summary
`SSLHessianServlet()`

Method Summary
`protected CauchoService` `createService()`

Methods inherited from class mx4j.tools.remote.caucho.hessian.HessianServlet
`createCauchoInput, createCauchoOutput, destroy, getService, init`

Methods inherited from class mx4j.tools.remote.caucho.CauchoServlet
`findMethod, invoke, invoke, mangleMethodName, mapMethods, readArguments, readHeaders, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLHessianServlet

    public SSLHessianServlet()

Method Detail

### createService

    protected CauchoService createService()

  Overrides:
    `createService` in class `HessianServlet`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.